Page MenuHomePhabricator

Projects dropdown should offer project descriptions
Closed, ResolvedPublic

Description

Related task upstream: https://secure.phabricator.com/T11034

When filing a new task I entered "Ph" and the autocompletion suggested several projects. I had no clue of the difference, I chose a random one.


See Also:
T97751: Search projects by description

Details

Reference
fl396

Related Objects

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:38 AM
flimport set Reference to fl396.

Let's see whether this is a problem after Day 1, when we have real names of real projects. If the differences between names are unclear, the first thing we need to think about fixing are those confusing names.

Qgil set Security to None.
Qgil lowered the priority of this task from Normal to Low.Nov 7 2014, 10:20 AM
Qgil lowered the priority of this task from Low to Lowest.EditedJan 16 2015, 10:35 AM

I don't think that this is a significant problem now that we have real projects. If several names of projects are unclear, the first questions to ask is whether these names can be improved.

I propose to decline this task, as I don't think the current behavior is problematic in practice.

scfc added a subscriber: scfc.Mar 13 2015, 1:49 PM

I think it would be useful. Take this task for example: What is the difference between the Phabricator and the Phabricator (Upstream) projects?

Qgil updated the task description. (Show Details)Mar 16 2015, 11:25 AM
Qgil moved this task from Need Discussion to Upstreamed on the Phabricator (Upstream) board.
Aklapper closed this task as Declined.Mar 17 2015, 11:17 AM
Aklapper claimed this task.
In T234#1116570, @scfc wrote:

What is the difference between the Phabricator and the Phabricator (Upstream) projects?

Click on those projects, click the first icon in the pane on the left, see the descriptions.

So far it works pretty okay'ish, and if it does not someone corrects the projects associated to tasks. Though Bugzilla did offer descriptions on enter_bug.cgi I don't see a way higher "failure" rate to find the right project in Phabricator so far (personal impression not based on any numbers).

scfc added a comment.Mar 17 2015, 2:52 PM

I can't click on those projects in the projects dropdown. Or rather: I can, the projects get selected, and then I can click on the project and nothing happens. And if I don't click on it, no tool tip appears.

Of course it depends on the metric you apply: If it is "a wrong project has been associated", then the numbers may be low indeed.

That's true, you cannot click on them when you are on the "Create Tasks" page (or any such dropdown fields).
Still I state that missing display of project descriptions "inline" so far hasn't given me the impression that it creates an issue bigger than in Bugzilla when it comes to setting the right projects on tasks.

Why is this declined? It seems like a low-priority issue, not something we're against implementing.

@Mattflaschen: I'm against implementing this as a downstream diff, at least. :)
If this ever happens then it will be in upstream: https://secure.phabricator.com/T5403

Aklapper reopened this task as Open.EditedMar 25 2015, 11:40 AM

But if we want to really mirror every upstream ticket here in the Phabricator (Upstream) project we can leave this open with lowest priority, indeed. I'm definitely not against it if it is implemented in upstream.

Aklapper removed Aklapper as the assignee of this task.Apr 13 2015, 12:01 PM

Dropping other potentially related upstream items apart from https://secure.phabricator.com/T5403#101768 :
https://secure.phabricator.com/T6501#82983 states that "Description is a CustomField and covered by https://secure.phabricator.com/T5873#148084 " which states "this is blocked on https://secure.phabricator.com/T7715 providing new ApplicationSearch-driven endpoints".
https://secure.phabricator.com/T6579 also talks about "tooltips to tasks, showing an excerpted project description".

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM
epriestley updated the task description. (Show Details)May 25 2016, 4:28 PM
mmodell closed this task as Resolved.Jul 19 2016, 9:04 PM
mmodell claimed this task.
mmodell added a subscriber: mmodell.

I'm not sure why this is still open. The upstream task is still open because it has a wider scope than this one, however, the feature described in this task is implemented and deployed.

Aklapper added a comment.EditedJul 20 2016, 12:23 PM

@mmodell: Are you sure? The general Search field in the upper right corner offers project descriptions, but not a "Projects dropdown" when entering a project name in the "Tags" field in the "Create Task" form or using "Change Project Tags" here.
So I'd reopen this task...

scfc added a comment.Jul 21 2016, 2:39 AM

Just found it: If you click on the search icon in (any?) project field, the search results show the project descriptions. IMHO that's not very intuitive (and not the auto-completion case this task was about), but now at least you have some way to achieve the goal.

mmodell reopened this task as Open.Nov 14 2016, 7:42 AM

The project description is shown in the 'browse' interface which you access by clicking the magnifying glass icon. I've highlighted it in the following screenshot:

epriestley has requested feedback related to this feature on the upstream task: https://secure.phabricator.com/T11034#177259 so if anyone has opinions, now's the time that they might be helpful.

mmodell changed the task status from Open to Stalled.Dec 4 2016, 6:50 AM
mmodell removed mmodell as the assignee of this task.
Qgil removed a subscriber: Qgil.Dec 6 2016, 8:51 AM
Aklapper updated the task description. (Show Details)Feb 20 2017, 12:18 PM

Project descriptions are displayed after clicking the magnifier icon in any "Tags" input field:


This is also covered in our docs.

They are not displayed in the global search bar in the upper right corner, but I don't consider that very helpful anyway (as those project pages would also display the project description, or it is one click away if the workboard is linked per default instead):

Feedback was requested in https://secure.phabricator.com/T11034#201013 (and also asked for in this very task in T234#2845156):

If there's some remaining use case here, I'd also like to step back and understand it better since I suspect the best solution we can pursue is not any kind of UI change which makes it easier to find things by randomly typing guesses into the typeahead.
For example, if there's some set of common tags that a lot of tasks should be getting tagged with when they're created, but they aren't being tagged because newer users don't know they exist, maybe the help text above the form could include (or link to) a table describing those tags?

As no feedback was provided I assume that the latest improvements and the correct implementation is sufficient?

Aklapper closed this task as Resolved.Mar 16 2017, 2:43 PM
Aklapper claimed this task.

Two calls in this task for feedback and no replies, hence I proposed to close the related upstream task and am also closing this long-standing downstream task.

The current implementation looks like a good balance between not throwing a wall of text onto a user, but still allowing to access project descriptions via a single click on the magnifier icon in a "Project tags" field.
It is up to us to inform users about clicking the magnifier icon which has been covered in our documentation for a while now.